org.codehaus.plexus.component.repository.io

## Class PlexusTools

- java.lang.Object
- - org.codehaus.plexus.component.repository.io.PlexusTools

    public class PlexusTools
    extends java.lang.Object

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`PlexusTools()`

### Method Summary

Methods
`static ComponentDescriptor<?>` `buildComponentDescriptor(PlexusConfiguration configuration, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`static ComponentDescriptor<?>` `buildComponentDescriptor(java.lang.String configuration, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`static ComponentSetDescriptor` `buildComponentSet(PlexusConfiguration c, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`static PlexusConfiguration` `buildConfiguration(java.lang.String configuration)`
`static PlexusConfiguration` `buildConfiguration(java.lang.String resourceName, java.io.Reader configuration)`
`static void` `writeConfiguration(java.io.PrintStream out, PlexusConfiguration configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusTools

    public PlexusTools()

### Method Detail

#### buildConfiguration

    public static PlexusConfiguration buildConfiguration(java.lang.String resourceName,
                                         java.io.Reader configuration)
                                                  throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildConfiguration

    public static PlexusConfiguration buildConfiguration(java.lang.String configuration)
                                                  throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentDescriptor

    public static ComponentDescriptor<?> buildComponentDescriptor(java.lang.String configuration,
                                                  org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                           throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentDescriptor

    public static ComponentDescriptor<?> buildComponentDescriptor(PlexusConfiguration configuration,
                                                  org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                           throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### buildComponentSet

    public static ComponentSetDescriptor buildComponentSet(PlexusConfiguration c,
                                           org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                    throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### writeConfiguration

    public static void writeConfiguration(java.io.PrintStream out,
                          PlexusConfiguration configuration)
                                   throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`